<div class="p-3">
  <!-- Home -->

  <p-table 
    *ngIf="gameDetails?.[0]"
    [value]="gameDetails[0]" dataKey="id" styleClass="p-datatable-sm" 
    class="table-rowexpansion">
    <ng-template pTemplate="header">
    <tr>
      <!-- <th>
        Date
      </th> -->
      <th pSortableColumn="opponent">Team
        <p-sortIcon field="opponent"></p-sortIcon>
      </th>
      <th> 
        Home Away
      </th>
      <th pSortableColumn="playerId">Player
        <p-sortIcon field="playerId"></p-sortIcon>
      </th>
      <th pSortableColumn="mp">Mp
        <p-sortIcon field="mp"></p-sortIcon>
      </th>
      <th pSortableColumn="pts">Pts
        <p-sortIcon field="pts"></p-sortIcon>
      </th>
      <th pSortableColumn="trb">Trb
        <p-sortIcon field="trb"></p-sortIcon>
      </th>
      <th pSortableColumn="drb">Drb
        <p-sortIcon field="drb"></p-sortIcon>
      </th>
      <th pSortableColumn="orb">Orb
        <p-sortIcon field="orb"></p-sortIcon>
      </th>
      <th pSortableColumn="ast">Ast
        <p-sortIcon field="ast"></p-sortIcon>
      </th>
      <th pSortableColumn="fg">Fg
        <p-sortIcon field="fg"></p-sortIcon>
      </th>
      <th pSortableColumn="fga">Fga
        <p-sortIcon field="fga"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3">Fg3
        <p-sortIcon field="fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3a">Fg3a
        <p-sortIcon field="fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="ft">Ft
        <p-sortIcon field="ft"></p-sortIcon>
      </th>
      <th pSortableColumn="fta">Fta
        <p-sortIcon field="fta"></p-sortIcon>
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-game>
    <tr>
      <!-- <td>{{ game.date }}</td> -->
      <td>{{ game.opponent }}</td>
      <td>{{ game.home ? 'Home' : 'Away' }}</td>
      <td>{{ game.playerId }}</td>
      <td>{{ game.mp | number : '1.1-1'}}</td>
      <td>{{ game.pts | number : '1.1-1' }}</td>
      <td>{{ game.trb | number : '1.1-1' }}</td>
      <td>{{ game.drb | number : '1.1-1' }}</td>
      <td>{{ game.orb | number : '1.1-1' }}</td>
      <td>{{ game.ast | number : '1.1-1' }}</td>
      <td>{{ game.fg | number : '1.1-1' }}</td>
      <td>{{ game.fga | number : '1.1-1' }}</td>
      <td>{{ game.fg3 | number : '1.1-1' }}</td>
      <td>{{ game.fg3a | number : '1.1-1' }}</td>
      <td>{{ game.ft | number : '1.1-1' }}</td>
      <td>{{ game.fta | number : '1.1-1' }}</td>
    </tr>
  </ng-template>
  <ng-template pTemplate="emptymessage">
    <tr>
      <td colspan="6">There are no games for this player</td>
    </tr>
  </ng-template>
  </p-table>

  <p-table 
    *ngIf="gameDetails?.[1]"
    [value]="gameDetails[1]" dataKey="id" 
    styleClass="p-datatable-sm" class="table-rowexpansion">
    <ng-template pTemplate="header">
    <tr>
      <!-- <th>
        Date
      </th> -->
      <th pSortableColumn="opponent">Team
        <p-sortIcon field="opponent"></p-sortIcon>
      </th>
      <th> 
        Home Away
      </th>
      <th pSortableColumn="playerId">Player
        <p-sortIcon field="playerId"></p-sortIcon>
      </th>
      <th pSortableColumn="mp">Mp
        <p-sortIcon field="mp"></p-sortIcon>
      </th>
      <th pSortableColumn="pts">Pts
        <p-sortIcon field="pts"></p-sortIcon>
      </th>
      <th pSortableColumn="trb">Trb
        <p-sortIcon field="trb"></p-sortIcon>
      </th>
      <th pSortableColumn="drb">Drb
        <p-sortIcon field="drb"></p-sortIcon>
      </th>
      <th pSortableColumn="orb">Orb
        <p-sortIcon field="orb"></p-sortIcon>
      </th>
      <th pSortableColumn="ast">Ast
        <p-sortIcon field="ast"></p-sortIcon>
      </th>
      <th pSortableColumn="fg">Fg
        <p-sortIcon field="fg"></p-sortIcon>
      </th>
      <th pSortableColumn="fga">Fga
        <p-sortIcon field="fga"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3">Fg3
        <p-sortIcon field="fg3"></p-sortIcon>
      </th>
      <th pSortableColumn="fg3a">Fg3a
        <p-sortIcon field="fg3a"></p-sortIcon>
      </th>
      <th pSortableColumn="ft">Ft
        <p-sortIcon field="ft"></p-sortIcon>
      </th>
      <th pSortableColumn="fta">Fta
        <p-sortIcon field="fta"></p-sortIcon>
      </th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-game>
    <tr>
      <!-- <td>{{ game.date }}</td> -->

      <td>{{ game.opponent }}</td>
      <td>{{ game.home ? 'Home' : 'Away' }}</td>
      <td>{{ game.playerId }}</td>
      <td>{{ game.mp | number : '1.1-1'}}</td>
      <td>{{ game.pts | number : '1.1-1' }}</td>
      <td>{{ game.trb | number : '1.1-1' }}</td>
      <td>{{ game.drb | number : '1.1-1' }}</td>
      <td>{{ game.orb | number : '1.1-1' }}</td>
      <td>{{ game.ast | number : '1.1-1' }}</td>
      <td>{{ game.fg | number : '1.1-1' }}</td>
      <td>{{ game.fga | number : '1.1-1' }}</td>
      <td>{{ game.fg3 | number : '1.1-1' }}</td>
      <td>{{ game.fg3a | number : '1.1-1' }}</td>
      <td>{{ game.ft | number : '1.1-1' }}</td>
      <td>{{ game.fta | number : '1.1-1' }}</td>
    </tr>
  </ng-template>
  <ng-template pTemplate="emptymessage">
    <tr>
      <td colspan="6">There are no games for this player</td>
    </tr>
  </ng-template>
  </p-table>
</div>